| Kea 3.0.3-git

isc::util::file::RelaxUmask Class Reference

RAII device to relax umask (adding group write for sockets). More...

`#include <filesystem.h>`

Inheritance diagram for isc::util::file::RelaxUmask:
[legend]

## Public Member Functions
| RelaxUmask ()
| Constructor.
| ~RelaxUmask ()
| Destructor.

## Detailed Description

RAII device to relax umask (adding group write for sockets).

Definition at line 85 of file filesystem.h.

## Constructor & Destructor Documentation

## ◆ RelaxUmask()

isc::util::file::RelaxUmask::RelaxUmask | ( |  | ) |

Constructor.

Definition at line 107 of file filesystem.cc.

## ◆ ~RelaxUmask()

isc::util::file::RelaxUmask::~RelaxUmask | ( |  | ) |

Destructor.

Definition at line 110 of file filesystem.cc.

The documentation for this class was generated from the following files:

- filesystem.h
- filesystem.cc